package com.graphaware.neo4j.strategy;

/**
 * Strategy deciding whether to include something or not.
 *
 * @param <T> type of the object to make a decision about.
 */
public interface InclusionStrategy<T> {

    /**
     * Include the given object?
     *
     * @param object to check.
     * @return true iff the given object should be included.
     */
    boolean include(T object);
}
