package com.graphaware.neo4j.tx.single;

import org.neo4j.graphdb.GraphDatabaseService;

/**
 * A {@link TransactionCallback} returning void.
 */
public abstract class VoidReturningCallback implements TransactionCallback<Void> {

    /**
     * {@inheritDoc}
     */
    @Override
    public final Void doInTransaction(GraphDatabaseService database) {
        doInTx(database);
        return null;
    }

    /**
     * Perform the work. This method is guaranteed to run in the context of a transaction.
     *
     * @param database on which to perform work and against which the transaction is running.
     */
    protected abstract void doInTx(GraphDatabaseService database);
}
